body {
	margin: 0;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
	"Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
	sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

code {
	font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
	monospace;
}

.container {
	max-width: 1000px;
	margin: 0 auto;
	padding: 3rem;
}

.blocks {
	display: flex;
}

.blocks div {
	margin-right: 5rem;
}

.square {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 200px;
	height: 200px;
}

.square.entering {
	animation: square 1000ms ease-out forwards;
}

.square.exiting {
	animation: square 1000ms ease-in alternate-reverse;
}

.square.blue {
	background: cornflowerblue;
}

.square.orange {
	background: coral;
}

.orange-enter {
	opacity: 0;
	transform: translateX(100px);
}
.orange-enter-active {
	opacity: 1;
	transition: all 1s;
	transform: translateX(0);
}
.orange-exit {
	opacity: 1;
	transition: all 1s;
	transform: translateX(100px);
}
.orange-exit-active {
	opacity: 0;
}

@keyframes square {
	0% {
		opacity: 0;
		transform: translateY(-100px);
	}

	50% {
		opacity: 1;
		transform: translateY(30px);
	}

	100% {
		transform: translateY(0);
	}
}
